<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS Styling Properties and Positioning</title>

		<link rel="stylesheet" type="text/css" href="index.css">
	</head>
	<body>
		<h2>CSS Common Styling</h2>

		<!-- Display Properties -->
		<div id="div-1">This is a div</div>
		<span id="span-1">Thiss is a span</span>
		<img src="https://place-puppy.com/450x450" id="img">
		<span id="span-2">This is another span</span>
		<div id="div-2">This is another div</div>

		<h3>Notes in block, inline and inline block</h3>
		<p id="p-1">Block takes up the whole width by default</p>
		<p id="p-2">width 60</p>
		<p id="p-3">width 40</p>

		<p>Even if there's enough space, block elements do not sit next to each other unless they are floated</p>

		<p>Inline elements are things like bold and italics. You cannot control the height and width of these elements</p>

		<div class="sample">width = 30</div>
		<div class="sample">width = 30</div>
		<div class="sample">width = 30</div>

		<hr>

		<h3>Float</h3>
		<p>The float property is used for positioning and formatting content e.g. let an image float left to the container</p>

		<p id="float-parent">
			<img src="https://place-puppy.com/450x450" class="img-float">
			Lorem ipsum dolor sit amet consectetur adipisicing elit. Iste vitae nihil assumenda numquam eaque aliquam esse veniam recusandae sunt perspiciatis, unde tenetur voluptate obcaecati velit cumque. Repellat ex vero, ducimus.
			Voluptatibus, harum, vel delectus et iusto consectetur eligendi? Consectetur assumenda temporibus omnis, nobis quam laborum nihil eligendi consequatur incidunt inventore iusto nemo! Repellendus expedita neque eum reiciendis provident tempore fugit.
			Accusantium, sapiente itaque aspernatur eveniet? Deserunt cum amet distinctio fugiat totam quisquam dolores dolore, alias neque, praesentium. Velit, commodi. Perspiciatis exercitationem eum quo natus nemo obcaecatiratbu, voluptatibus, dicta possimus dignissimos. 
		</p>

		<!-- CSS Units -->
		<hr>
		<h3>CSS Units</h3>
		<h4> px vs %</h4>

		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>

		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>

		<div>16px</div>
		<!-- root element default px = 1 rem -->
		<!-- parent element px = 1 em -->
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em">2em</div>
		<div class="twohund-percent">200%</div>
		
		<br>

		<div class="parent">
			<div class="box fifty-percent">50%</div>
			<div class="box one-hundred-pixels">100px</div>

			<div class="box fifty-vw">50vw</div>
			<div class="box twenty-five-vh">25vh</div>

			<div class="one-rem">1rem</div>
			<div class="one-em">1em</div>
			<div class="two-rem">2rem</div>
			<div class="two-em">2em</div>
			<div class="twohund-percent">200%</div>
		</div>

		<!-- CSS Background Property -->
		<hr>

		<section class="background">
			<div class="container-bg">
				<h3 class="bg-title">Background Properties</h3>	
			</div>
		</section>
		<hr>
		
		<!-- CSS Positioning -->
		<div class="parent-element">
			Parent Element
			<div class="child-one">
				I'm the child one element.
			</div>
			<div class="child-two">
				All eyes on me. I am the child two.
			</div>
			<div class="child-three">
				Im the child three element.
			</div>
		</div>

		<hr>
		<h2>Z-Index Example</h2>
		<p> An element with greater stack order is always above an element with a lower stack order.</p>

		<div class="container">
			<div class="black-box">Black Box (z-index-1)</div>
			<div class="gray-box">Gray Box (z-index-3)</div>
			<div class="green-box">Green Box (z-index-2)</div>
		</div>
	</body>
</html>